Software limit switches (A2)

IntroductionPAGEREF _Toc307404875 \h2

Description 3

Parameters 6

Overview 6

Axis parameters 6

CNC programming 7

More:

button Introduction

button Description

button Parameters

button CNC programming


Introduction

Task

Software limit switches serve to limit the maximum travel distance of an axis.

Effectiveness

The positions of the software limits switches (P-AXIS-00177/P-AXIS-00178) can be parameterised for the following axis types:

q Linear axes

q Rotary axes that are not operated as modulo axes

Parameterisation

The positions of the software limit switches must be parameterised for each axis in the axis parameter record [AXIS].

Ordering

In the NC program, the positions of the software limit switches can be set or modified by means of the NC commands G98/G99.


Description

Task

The position of the software limit switches is used to monitor the set and actual positions of an axis. A positive (P-AXIS-00178) and a negative software limit switch (P-AXIS-00177) can be parameterised for each axis.

The positions of the software limit switches are always referred to the axis coordinate system.

Effectiveness

The set positions are monitored during look-ahead, which monitors the actual positions of the position control for travel beyond the software limit switch positions. This is why a distinction is made between software limit switch monitoring in terms of the setpoint or the actual value.

Monitoring of set and actual positions differs by virtue of the fact that, for actual positions, a tolerance for monitoring for travel beyond the software limit switch position (P-AXIS-00179) can be parameterised. Thus, it is possible to prevent for actual positions that slight overshoot does not lead to an error message of the CNC.

Figure 0-1: Positions and effectiveness of the software limit switches

Activation

Monitoring of the set and actual positions of an axis by the software limit switch positions is activated as soon as the axis has been referenced. It is then active in all available operating modes. It is permissible for an axis to move to the software limit switch positions.

Monitoring of the set and actual positions for overshoot of the software limit switch positions is not effective in the case of rotatory axes that have been configured as modulo axes.

Messages

Automatic mode and manual block, axis referenced

If a set position is calculated by an NC block which exceeds a software limit switch position, that NC block is not executed. A message [ID: 120002 or 120003] is generated. The NC program is aborted at this NC block and the axes participating in movement are stopped. The nominal contour is not violated.

The control system must be reset.

If the actual value of the axis position exceeds the software limit switch positions, a message (ID: 70021 or 70022) is generated. The affected axis is braked with a linear speed profile. The nominal contour may be violated if several axes were involved in movement.

The control system must be reset.

Manual operation without parallel interpolation (G200), axis referenced

The travel distance of an axis is limited by the software limit switch positions. The software limit switch position is moved to in the continuous jog mode.

In the incremental jog mode, the step is no longer executed if it leads to violation of the software limit switch position. A message (ID: 150008) is generated. The affected axis can be moved in the opposite direction of travel.

Manual operation without parallel interpolation (G200), axis not referenced

If the axis is not referenced, the positive manual operation offset limit is used for the positive software limit switch position and the negative manual operation offset limit is used for the negative software limit switch position. These are defined in the axis parameter record via the P-AXIS-00137/P-AXIS-00138 (offsetgrenze_neg / offsetgrenze_pos) parameters [FCT-A4].

In the jog mode, the manual operation offset limits are moved to.

In the jog mode, an message (ID: 150008) is generated if the manual operation offset limits are exceeded. The jog step leading to overshoots is not executed. The axis can be moved in the opposite direction.


Parameters

More:

button Overview

button Axis parameters


Overview

ID | Parameter | Description
P-AXIS-00177 | swe_neg | Position of the negative software limit switch
P-AXIS-00178 | swe_pos | Position of the positive software limit switch
P-AXIS-00179 | swe_toleranz | Tolerance range of the software limit switch position in the case of actual positions


Axis parameters

P-AXIS-00177 | Position of the negative software limit switch
Parameter | kenngr.swe_neg
Description | Position of the negative software limit switch
Data type | SGN32
Data range | MIN(SGN32) = P-AXIS-00177 = MAX(SGN32) and the following applies: P-AXIS-00177 < P-AXIS-00178
Dimension | Translatory: 0.1µm | Rotatory: 0.0001°
Default | > position of the negative software limit switch
Remarks | The value of the parameter is adopted on reset, mode change and axis replacement from the axis record.

P-AXIS-00178 | Position of the positive software limit switch
Parameter | kenngr.swe_pos
Description | Position of the positive software limit switch
Data type | SGN32
Data range | MIN(SGN32) ≤ P-AXIS-00178 ≤ MAX(SGN32) and the following applies: P-AXIS-00178 > P-AXIS-00177
Dimension | Translatory: 0.1µm | Rotatory: 0.0001°
Default | > position of the positive software limit switch
Remarks | The value of the parameter is adopted on reset, mode change and axis replacement from the axis record.

P-AXIS-00179 | Tolerance range of the software limit switch position in the case of actual positions
Parameter | kenngr.swe_toleranz
Description | To prevent actual value software limit switch monitoring in the position control from responding in the event of slight overshoot of an axis (e.g. programmed set position = position of the positive software limit switch and actual position > position of the positive software limit switch), the software limit switch range in the positive and negative directions is extended in each case by the amount of the P-AXIS-00179 parameter.
Data type | UNS32
Data range | 0 ≤ P-AXIS-00179 ≤ MAX(UNS32)
Dimension | Translatory: 0.1µm | Rotatory: 0.0001°
Default | 0
Remarks |


CNC programming

Negative software limit switch

G98 sets the negative software limit switch positions in the programmed axes. Depending on whether G90/G91 is set, this takes place absolutely or additively to the previous software limit switch position.

The G98 command is active in the block in which it is programmed and the software limit switch positions programmed with it are active across several blocks.

The positions for the negative software limit switches programmed via G98 are stored in the axis-specific variables V.A.-SWE.X, V.A.-SWE.Y, V.A.-SWE.Z, etc. [PROG].

On Reset, mode changes and axis replacement, the variables are assigned the value of the P-AXIS-00177 parameter of the respective axis.

Programming example

N10 G90

...

N50 G98 X-1000 Y-2000 Sets negative software limit switch
in X to -1000 and in Y to 2000

Messages

The message with the ID 120013 is displayed if the controller calculates, after programming with G98, a position for the negative software limit switch that is less than the position defined by the P-AXIS-00177 parameter.

The calculated software limit switch position is not adopted as the position for the negative software limit switch, but the value of the P-AXIS-00177 parameter.

The message with the ID 120014 is displayed if the controller calculates, after programming with G98, a position for the negative software limit switch that is equal to or greater than the position of the positive software limit switch.

The controller adopts the calculated position of the software limit switch as the value for the negative software limit switch.

A message with the ID 120015 is displayed if the current actual position of the axis after programming of G98 is less than that of the negative software limit switch.

The control system must be reset.

Positive software limit switch

G99 sets the positive software limit switch positions in the programmed axes. Depending on whether G90/G91 is set, this takes place absolutely or additively to the previous software limit switch position.

The G99 command is active in the block in which it is programmed and the software limit switch positions programmed with it are active across several blocks.

The positions programmed via G99 for the positive software limit switches are stored in the axis-specific variables V.A.+SWE.X, V.A.+SWE.Y, V.A.+SWE.Z, etc. [PROG].

On Reset, mode changes and axis replacement, the variables are assigned the value of the P-AXIS-00178 parameter of the respective axis.

Programming example

N10 G90

...

N50 G99 X+1000 Y+2000 Sets positive software limit switch
in X to +1000 and in Y to +2000

Messages

The message with the ID 120009 is displayed if the controller calculates, after programming with G99, a position for the positive software limit switch that is more than the position defined by the P-AXIS-00178 parameter.

The calculated software limit switch position is not adopted as the position for the positive software limit switch, but the value of the P-AXIS-00178 parameter.

The message with the ID 120010 is displayed if the controller calculates, after programming with G99, a position for the positive software limit switch that is equal to or less than the position of the negative software limit switch.

The controller adopts the calculated position of the software limit switch as the value for the positive software limit switch.

A message with the ID 120011 is displayed if the current actual position of the axis after programming of G99 is more than that of the positive software limit switch.

The control system must be reset.